import { test } from 'node:test'
import assert from 'node:assert'
import { getClientForAddress, getGmxPositionsImpl } from '../../src/plugins/custom/gmx'

test('GMX get positions', async (t) => {
  await t.test('should get positions', async () => {
    const sdk = await getClientForAddress('0x932167388dD9aad41149b3cA23eBD489E2E2DD78')

    const result = await getGmxPositionsImpl(
      sdk
    )
    console.log('Positions result:', result)
    assert.ok(result, 'Positions result should be defined')
  })
})
